<?php
	include_once("../core/basededatos.php");
	include_once("../core/Usuario.php");
	include_once("../core/Paciente.php");
	include_once("../core/Semana.php");
	include_once("../core/Historia.php");
	include_once("../core/Cita.php");
	include_once("../core/Documento.php");
	include_once("../core/Quirurgico.php");
	require('fpdf.php');
	session_start();	
	header("Content-Type:application/xhtml+xml; charset=ISO-8859-1");

	$pdf=new FPDF();
	
	if ($_GET['Pac'] != "No") {
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
	}	
	
	$documento = new Documento();
	
	$pdf->AddPage();
	$pdf->SetAutoPageBreak(true);
	$pdf->SetFont('Arial','B',12);
	//Color Rojo
	//$pdf->SetTextColor(255,0,0);
	
	
	if ($_POST['Imprimir']) { 
		$documento = new Documento();
		
		$texto1 = "PACIENTE BAJO TRATAMIENTO DE ORTODONCIA QUE SE LE DIAGNOSTICA ".$_POST['txt_diagnostica'];
		$texto2 = "SE LE PROPONE REALIZARLE TRATAMIENTO COMBINADO DE ORTODONCIA Y CIRUGIA ORTOGNATICA CONSISTENTE EN ".$_POST['txt_consistente']; 
		$texto3 = "EL COSTO POR EL PROCEDIMIENTO QUIRÚRGICO ES DE ".$_POST['txt_costo'].". SE REQUIERE DEL 50% AL PROGRAMAR LA CIRUGÍA Y EL RESTO AL TERMINO DE LA CIRUGÍA .";
		$texto4 = "LO QUE INCLUYE ESTUDIOS DE PLANEACIÓN PREOPERATORIOS Y CUIDADOS POS OPERATORIOS POR OCHO SEMANAS ANTES DE CONTINUAR CON LA ORTODONCIA.";
		$texto5 = "EL PRESUPUESTO PARA LA REALIZACIÓN DE LA CIRUGÍA ORTOGNATICA BAJO ANESTESIA GENERAL ES MAS APARTE GASTOS DE HOSPITAL Y ANESTESIA DE UN APROXIMADO DE ".$_POST['txt_aproximado'];
		$texto6 = "ATENTAMENTE.";
		$texto7 = "DR. ALFONSO PEÑA MADERO.";
		$texto8 = "LA PAZ B.C.S. ".$documento->fechaTexto();
		$textofinal = $texto1."<br>".$texto2."<br>".$texto3."<br>".$texto4."<br>".$texto5."<br>".$texto6."<br>".$texto7;
	
		$quirurgico = new Quirurgico();
		$quirurgico->texto1 = $texto1;
		$quirurgico->texto2 = $texto2;
		$quirurgico->texto3 = $texto3;
		$quirurgico->texto4 = $texto4;
		$quirurgico->texto5 = $texto5;
		$quirurgico->texto6 = $texto6;
		$quirurgico->texto7 = $texto7;
		$quirurgico->texto8 = $texto8;
		if (!$quirurgico->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Cuidados.";
		}
		$quirurgico->id = mysql_insert_id();
		
		
		$documento->tipo = "quirurgico";
		$documento->texto = $textofinal;
		$documento->id_paciente = $paciente->id;
		$documento->fecha = date(Y."-".m."-".d);
		$documento->textoid = $quirurgico->id;
		if (!$documento->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Documento.";
		}
		
	} else {
		
		$documento = new Documento();
		$documento->id = $_GET['Doc'];
		$documento->obtenerdatos();
				
		$quirurgico = new Quirurgico();
		$quirurgico->id = $documento->textoid;
		$quirurgico->obtenerdatos();
		
		$texto1 = $quirurgico->texto1;
		$texto2 = $quirurgico->texto2;
		$texto3 = $quirurgico->texto3;
		$texto4 = $quirurgico->texto4;
		$texto5 = $quirurgico->texto5;
		$texto6 = $quirurgico->texto6;
		$texto7 = $quirurgico->texto7;
		$texto8 = $quirurgico->texto8;
	}
	
	
	
	$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
	$pacientedatos = "EDAD: ".$paciente->obtenerEdad()." AÑOS - SEXO: ".$paciente->despliegasexo();
	
	$pdf->SetXY(0,0);
	$pdf->Cell(10,45,'',0,1);	
	$pdf->Cell(180,5,$pacientenombrecompleto,0,1,L);
	$pdf->Cell(180,5,$pacientedatos,0,1,L);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto1);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto2);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto3);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto4);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto5);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto6,0,1,C);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto7,0,1,C);
	$pdf->Cell(180,5,$texto8,0,1,C);
					
	$pdf->Output();
?>